#### D.12.2.30 ellipticAllPoints

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  ellipticAllPoints(N,a,b);

Return:
  list of points (x:y:z) of the elliptic curve defined by y^2z=x^3+a*xz^2+b*z^3 over Z/N

Example:

    LIB "crypto.lib";
    list L=ellipticAllPoints(181,71,150);
    size(L);
    ==> 198
    L[size(L)];
    ==> [1]:
    ==>    179
    ==> [2]:
    ==>    0
    ==> [3]:
    ==>    1

User manual for Singular version 4.4.1, 2025, generated by texi2html.